XML escaped ampersand in message when calling do-release-upgrade

Bug #1761931 reported by Hadrien on 2018-04-07
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ubuntu Translations
Undecided
Ubuntu French Translators
ubuntu-release-upgrader (Ubuntu)
Medium
Brian Murray
Bionic
Medium
Brian Murray

Bug Description

I began upgrading my release from 17.10 to 18.04

A message appears about third-party applications. An XML escaped ampersand is unexpectedly present in the text (french language):

          « Logiciels & mises à jour »

More logs:

hadrien@c18:~$ sudo do-release-upgrade -d
Recherche d'une nouvelle version d'Ubuntu
Prendre :1 Signature de l'outil de mise à niveau [819 B]
Prendre :2 Outil de mise à niveau [1 255 kB]
1 255 k o réceptionnés en 0s (0  o/s)
authentification de « bionic.tar.gz » avec « bionic.tar.gz.gpg »
extraction de 'bionic.tar.gz'

Lecture du cache

Vérification du gestionnaire de paquets
Lecture des listes de paquets… Terminé
Construction de l'arbre des dépendances
Lecture des informations d'état… Terminé
Att http://fr.archive.ubuntu.com/ubuntu artful InRelease
Att http://fr.archive.ubuntu.com/ubuntu artful-updates InRelease
Att http://security.ubuntu.com/ubuntu artful-security InRelease
Att http://ppa.launchpad.net/noobslab/themes/ubuntu artful InRelease
Att http://fr.archive.ubuntu.com/ubuntu artful-backports InRelease
Att http://packages.microsoft.com/repos/vscode stable InRelease
Att http://ppa.launchpad.net/paulo-miguel-dias/pkppa/ubuntu artful InRelease
0  o réceptionnés en 0s (0  o/s)
Lecture des listes de paquets… Terminé
Construction de l'arbre des dépendances
Lecture des informations d'état… Terminé

Mise à jour des informations sur les dépôts

Sources provenant de tiers désactivées

Certaines entrées de votre fichier sources.list, concernant des
tierces parties, ont été désactivées. Vous pouvez les réactiver après
la mise à niveau avec l'outil « Logiciels & mises à jour » ou
avec votre gestionnaire de paquets.

Veuillez appuyer sur [Entrée] pour continuer

ProblemType: Bug
DistroRelease: Ubuntu 17.10
Package: ubuntu-release-upgrader-core 1:17.10.10 [origin: unknown]
ProcVersionSignature: Ubuntu 4.13.0-38.43-generic 4.13.16
Uname: Linux 4.13.0-38-generic x86_64
ApportVersion: 2.20.7-0ubuntu3.7
Architecture: amd64
CrashDB: ubuntu
CurrentDesktop: ubuntu:GNOME
Date: Sat Apr 7 07:48:52 2018
InstallationDate: Installed on 2017-10-02 (186 days ago)
InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Alpha amd64 (20170926)
PackageArchitecture: all
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
SourcePackage: ubuntu-release-upgrader
Symptom: ubuntu-release-upgrader
UpgradeStatus: Upgraded to artful on 2018-04-07 (0 days ago)
VarLogDistupgradeAptlog:
 Log time: 2018-04-07 07:45:49.950379
 Log time: 2018-04-07 07:45:51.133585

Related branches

Hadrien (psydk) wrote :
tags: added: artful2bionic
Changed in ubuntu-translations:
assignee: nobody → Ubuntu French Translators (ubuntu-l10n-fr)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu-release-upgrader (Ubuntu):
status: New → Confirmed
Jean-Marc (m-balthazar) wrote :
Changed in ubuntu-translations:
status: New → In Progress
Changed in ubuntu-release-upgrader (Ubuntu Bionic):
status: Confirmed → Triaged
importance: Undecided → Medium
Jean-Marc (m-balthazar) on 2018-04-09
Changed in ubuntu-translations:
status: In Progress → Fix Committed
Hadrien (psydk) wrote :

Bravo pour l'efficacité :)

Jean-Baptiste Lallement (jibel) wrote :

@Jean-Marc, merci pour ton aide.

Tu as traduis par:
«[nbsp]Logiciels & mises à jour[nbsp]»

La même chaîne est utilisée pour la GUI. As-tu vérifié que l'esperluette seule ne va pas poser de problème?

Jean-Marc (m-balthazar) wrote :

Jean-Baptiste,

Je n'ai pas vérifié mais je surveillerai.

À bientôt

Changed in ubuntu-release-upgrader (Ubuntu Bionic):
status: Triaged → In Progress
assignee: nobody → Brian Murray (brian-murray)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:18.04.17

---------------
ubuntu-release-upgrader (1:18.04.17) bionic; urgency=medium

  * Update of translations. (LP: #1761931)
  * Update of demotions and mirrors data.

 -- Brian Murray <email address hidden> Tue, 17 Apr 2018 13:22:03 -0700

Changed in ubuntu-release-upgrader (Ubuntu Bionic):
status: In Progress → Fix Released
Olivier Berten (olivier-berten) wrote :

Je confirme que ça pose problème avec le GUI: fenêtre vide et message d'erreur...

(bionic:12304): Gtk-WARNING **: Failed to set text '<big><b>Sources provenant de tiers désactivées</b></big>

Certaines entrées de votre fichier sources.list, concernant des tierces parties, ont été désactivées. Vous pouvez les réactiver après la mise à niveau avec l'outil « Logiciels & mises à jour » ou avec votre gestionnaire de paquets.' from markup due to error parsing markup: Erreur à la ligne 3 : L’entité ne se termine pas par un point-virgule ; vous avez probablement utilisé une esperluette sans intention d’écrire une entité — échappez l’esperluette avec &amp;

Changed in ubuntu-translations:
status: Fix Committed → In Progress
Olivier Febwin (febcrash) wrote :

Bon... j'ai remis "Certaines entrées de votre fichier sources.list, concernant des tierces parties, ont été désactivées. Vous pouvez les réactiver après la mise à niveau avec l'outil «[nbsp]Logiciels &amp; mises à jour[nbsp]» ou avec votre gestionnaire de paquets."

Changed in ubuntu-translations:
status: In Progress → Fix Committed
Hadrien (psydk) wrote :

> status: In Progress → Fix Committed

Du coup, statu quo ? Peut-être faudrait-il améliorer l'outil graphique pour ne plus devoir échapper le texte à la source mais le faire dynamiquement à l'exécution en fonction du contexte ?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers